@echo off

echo begin copy sql
copy ..\sql\wfc_config_db\wfc_config_db.sql .\mysql\db
copy ..\sql\wfc_system_db\wfc_system_db.sql .\mysql\db
copy ..\sql\wfc_user_db\wfc_user_db.sql .\mysql\db

REM 复制 HTML 文件
echo begin copy sys html
rmdir /s /q .\nginx\html\dist\sys
xcopy /E /I /Y ..\..\fe.wfc\dist\* .\nginx\html\dist\sys
echo begin copy user html
rmdir /s /q .\nginx\html\dist\u
xcopy /E /I /Y ..\..\fe.wfc.user\dist\* .\nginx\html\dist\u

REM 复制 JAR 文件
echo begin copy wfc-gateway
copy ..\wfc-gateway\target\wfc-gateway.jar .\wfc\gateway\jar

echo begin copy wfc-auth
copy ..\wfc-auth\target\wfc-auth.jar .\wfc\auth\jar

echo begin copy wfc-visual
copy ..\wfc-visual\wfc-monitor\target\wfc-visual-monitor.jar .\wfc\visual\monitor\jar

echo begin copy wfc-modules-system
copy ..\wfc-modules\wfc-system\target\wfc-modules-system.jar .\wfc\modules\system\jar

echo begin copy wfc-modules-user
copy ..\wfc-modules\wfc-user\target\wfc-modules-user.jar .\wfc\modules\user\jar

echo begin copy wfc-modules-file
copy ..\wfc-modules\wfc-file\target\wfc-modules-file.jar .\wfc\modules\file\jar

echo begin copy wfc-modules-job
copy ..\wfc-modules\wfc-job\target\wfc-modules-job.jar .\wfc\modules\job\jar

echo begin copy wfc-modules-gen
copy ..\wfc-modules\wfc-gen\target\wfc-modules-gen.jar .\wfc\modules\gen\jar

echo begin copy wfc-modules-payment
copy ..\wfc-modules\wfc-payment\target\wfc-modules-payment.jar .\wfc\modules\payment\jar

exit /b 0